Bug 565233 - [abrt] crash in libhocr-gtk-0.10.17-4.fc12
Summary: [abrt] crash in libhocr-gtk-0.10.17-4.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libhocr
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Oron Peled
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:998b58e0
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-13 22:37 UTC by mdmpsyd@gmail.com
Modified: 2010-07-08 18:11 UTC (History)
4 users (show)

Fixed In Version: libhocr-0.10.17-6.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-03 01:52:45 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.04 KB, text/plain)
2010-02-13 22:37 UTC, mdmpsyd@gmail.com
no flags Details

Description mdmpsyd@gmail.com 2010-02-13 22:37:48 UTC
abrt 1.0.6 detected a crash.

architecture: i686
cmdline: python /usr/bin/hocr-gtk
component: libhocr
executable: /usr/bin/hocr-gtk
kernel: 2.6.31.12-174.2.3.fc12.i686.PAE
package: libhocr-gtk-0.10.17-4.fc12
release: Fedora release 12 (Constantine)

backtrace
-----
Summary: TB998b58e0 hocr-gtk:34:<module>:ImportError: No module named hocr

Traceback (most recent call last):
  File "/usr/bin/hocr-gtk", line 34, in <module>
    from hocr import *
ImportError: No module named hocr

Local variables in innermost frame:
__builtins__: <module '__builtin__' (built-in)>
__file__: '/usr/bin/hocr-gtk'
gtk: <module 'gtk' from '/usr/lib/python2.6/site-packages/gtk-2.0/gtk/__init__.pyc'>
pygtk: <module 'pygtk' from '/usr/lib/python2.6/site-packages/pygtk.pyc'>
__package__: None
sys: <module 'sys' (built-in)>
threading: <module 'threading' from '/usr/lib/python2.6/threading.pyc'>
time: <module 'time' from '/usr/lib/python2.6/lib-dynload/timemodule.so'>
GInitiallyUnowned: <class 'gtk.__main__.GInitiallyUnowned'>
__name__: '__main__'
pango: <module 'pango' from '/usr/lib/python2.6/site-packages/gtk-2.0/pango.so'>
subprocess: <module 'subprocess' from '/usr/lib/python2.6/subprocess.pyc'>
os: <module 'os' from '/usr/lib/python2.6/os.pyc'>
__doc__: None
ConfigParser: <module 'ConfigParser' from '/usr/lib/python2.6/ConfigParser.pyc'>

Comment 1 mdmpsyd@gmail.com 2010-02-13 22:37:49 UTC
Created attachment 394168 [details]
File: backtrace

Comment 2 Oron Peled 2010-02-14 08:02:49 UTC
It's a missing dependency on libhocr-python. So:
1. Workaround:
   yum install libhocr-python
2. Fix:
   I'll try to build and upload a new release ASAP.
   Than I'll close the ticket.

Comment 3 Fedora Update System 2010-02-18 09:45:09 UTC
libhocr-0.10.17-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libhocr-0.10.17-5.fc12

Comment 4 Fedora Update System 2010-02-20 00:16:39 UTC
libhocr-0.10.17-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libhocr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1003

Comment 5 Fedora Update System 2010-03-03 01:52:40 UTC
libhocr-0.10.17-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Per Thomas Jahr 2010-07-01 08:53:20 UTC
I'm having the same problem in Fedora 13. Had to install libhocr-python separately.

Comment 7 Fedora Update System 2010-07-06 22:32:04 UTC
libhocr-0.10.17-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libhocr-0.10.17-6.fc13

Comment 8 Fedora Update System 2010-07-08 18:11:18 UTC
libhocr-0.10.17-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.